Package org.drinkless.tdlib

# Class TdApi.GetGroupCallStreamSegment

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.FilePart>
org.drinkless.tdlib.TdApi.GetGroupCallStreamSegment

Enclosing class:
  TdApi

public static class TdApi.GetGroupCallStreamSegment extends TdApi.Function<TdApi.FilePart>
Returns a file with a segment of a group call stream in a modified OGG format for audio or MPEG-4 format for video.

Returns `FilePart`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `channelId`
  Identifier of an audio/video channel to get as received from tgcalls.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `groupCallId`
  Group call identifier.
  `int`
  `scale`
  Segment duration scale; 0-1.
  `long`
  `timeOffset`
  Point in time when the stream segment begins; Unix timestamp in milliseconds.
  `TdApi.GroupCallVideoQuality`
  `videoQuality`
  Video quality as received from tgcalls; pass null to get the worst available quality.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetGroupCallStreamSegment()`
  Default constructor for a function, which returns a file with a segment of a group call stream in a modified OGG format for audio or MPEG-4 format for video.
  `GetGroupCallStreamSegment(int groupCallId, long timeOffset, int scale, int channelId, TdApi.GroupCallVideoQuality videoQuality)`
  Creates a function, which returns a file with a segment of a group call stream in a modified OGG format for audio or MPEG-4 format for video.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### groupCallId

    public int groupCallId
    Group call identifier.

  - ### timeOffset

    public long timeOffset
    Point in time when the stream segment begins; Unix timestamp in milliseconds.

  - ### scale

    public int scale
    Segment duration scale; 0-1. Segment's duration is 1000/(2**scale) milliseconds.

  - ### channelId

    public int channelId
    Identifier of an audio/video channel to get as received from tgcalls.

  - ### videoQuality

    public TdApi.GroupCallVideoQuality videoQuality
    Video quality as received from tgcalls; pass null to get the worst available quality.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetGroupCallStreamSegment

    public GetGroupCallStreamSegment()
    Default constructor for a function, which returns a file with a segment of a group call stream in a modified OGG format for audio or MPEG-4 format for video.

    Returns `FilePart`

  - ### GetGroupCallStreamSegment

    public GetGroupCallStreamSegment(int groupCallId, long timeOffset, int scale, int channelId, TdApi.GroupCallVideoQuality videoQuality)
    Creates a function, which returns a file with a segment of a group call stream in a modified OGG format for audio or MPEG-4 format for video.

    Returns `FilePart`

    Parameters:
      `groupCallId` - Group call identifier.
      `timeOffset` - Point in time when the stream segment begins; Unix timestamp in milliseconds.
      `scale` - Segment duration scale; 0-1. Segment's duration is 1000/(2**scale) milliseconds.
      `channelId` - Identifier of an audio/video channel to get as received from tgcalls.
      `videoQuality` - Video quality as received from tgcalls; pass null to get the worst available quality.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.FilePart>`
    Returns:
      this.CONSTRUCTOR